﻿<ui:AppliUserControl
    xmlns:ui="clr-namespace:Appli.Model.Class.UI"
    x:Class="Appli.Views.Articles"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:materialDesign="http://materialdesigninxaml.net/winfx/xaml/themes"
             mc:Ignorable="d" 
             DataContext="{Binding RelativeSource={RelativeSource Self}}">
    <DockPanel Margin="20">
        <StackPanel DockPanel.Dock="Top" HorizontalAlignment="Center" Orientation="Horizontal" Margin="0,0,0,20">
            <Label  HorizontalAlignment="Center"  FontSize="30">Liste de tous les articles et colis</Label>
            <materialDesign:PackIcon Kind="HelpCircle" ToolTip="Pour des raisons de performance, seuls les 30 premiers éléments sont affichés." Foreground="White" Width="20" Height="20" />
        </StackPanel>
        <StackPanel DockPanel.Dock="Top" Orientation="Vertical" HorizontalAlignment="Left">
            <StackPanel Orientation="Horizontal" Margin=" 0 20 0 0">
            <Label Margin="0 10 10 0">Recherche :</Label>
            <TextBox  x:Name="TbCodeArticle"  materialDesign:HintAssist.Hint="Code article ou code barre" Style="{DynamicResource MaterialDesignFloatingHintTextBox}" Foreground="{DynamicResource PrimaryHueMidForegroundBrush}" MinWidth="200" MaxLength="13" PreviewTextInput="PreviewTextInputOnlyNumbers" DataObject.Pasting="TextBoxPastingOnlyNumbers" TextChanged="TbCodeArticle_OnTextChanged"/>
            </StackPanel>
                <StackPanel Orientation="Horizontal" Margin=" 0 20 0 0">
                <Button Style="{DynamicResource MaterialDesignRaisedAccentButton}" Click="BtnCreateProduct_OnClick" Margin="0 0 20 0">Créer un produit</Button>
                <Button Style="{DynamicResource MaterialDesignRaisedAccentButton}" Click="BtnCreatePacket_OnClick">Créer un colis</Button>
            </StackPanel>
            </StackPanel>
        <DataGrid x:Name="GridProduits"
                  DockPanel.Dock="Bottom"
                      AlternatingRowBackground="#404040"
                      Margin="0"
                      IsReadOnly="True"
                      HorizontalAlignment="Stretch"
                      VerticalAlignment="Stretch"
                      AutoGenerateColumns="False"
                      CanUserAddRows="False"
                      CanUserDeleteRows="False"
                      ItemsSource="{Binding ShowableProducts,
                                            Mode=OneWay}"
                      SelectionMode="Single">
            <DataGrid.RowStyle>
                <Style TargetType="DataGridRow">
                    <Setter Property="Background" Value="{DynamicResource MaterialDesignPaper}"/>
                    <EventSetter Event="MouseDoubleClick" Handler="EventSetter_OnHandlerDoubleClick"/>
                </Style>
            </DataGrid.RowStyle>
            <DataGrid.Columns>
                <DataGridTextColumn Binding="{Binding Id}"
                                        Header="Code article"
                                        CanUserResize="False"
                                        IsReadOnly="True"
                                        Width="*"/>
                <DataGridTextColumn Binding="{Binding Wording}"
                                        Header="Libellé"
                                        CanUserResize="False"
                                        IsReadOnly="True"
                                    Width="*" />
                <DataGridTextColumn Binding="{Binding Articles.Count}"
                                    Header="Nombre d'articles dans le colis"
                                    CanUserResize="False"
                                    IsReadOnly="True"
                                    Width="*" />

            </DataGrid.Columns>
        </DataGrid>
    </DockPanel>
</ui:AppliUserControl>
